For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings Lead Sources

List Lead Sources

get

Lists lead sources. Lead sources track where a lead, contact, or deal originated (e.g. referral, website, a specific marketing channel).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of lead sources

application/json
totalRowsnumberOptional
get/settings/leadSources
GET /v2/settings/leadSources HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalRows": 1,
  "rows": [
    {
      "id": "charity-event",
      "name": "Charity Event"
    }
  ]
}

Create Lead Source

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The name of the lead source.

Responses
200

Successfully created lead source

application/json
idstringRequired

The unique ID of the lead source.

namestringRequired

The name of the lead source.

post/settings/leadSources
POST /v2/settings/leadSources HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "name": "Charity Event"
}
{
  "id": "charity-event",
  "name": "Charity Event"
}

Retrieve Lead Source

get

Retrieves a single lead source by ID. Lead sources track where a lead, contact, or deal originated (e.g. referral, website, a specific marketing channel).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Lead Source

Responses
200

Details about the lead source

application/json
idstringRequired

The unique ID of the lead source.

namestringRequired

The name of the lead source.

get/settings/leadSources/{id}
GET /v2/settings/leadSources/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "charity-event",
  "name": "Charity Event"
}

Update Lead Source

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Lead Source

Body
idstringRequired

The unique ID of the lead source.

namestringRequired

The name of the lead source.

Responses
200

Successfully updated lead source

application/json
idstringRequired

The unique ID of the lead source.

namestringRequired

The name of the lead source.

put/settings/leadSources/{id}
PUT /v2/settings/leadSources/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "id": "charity-event",
  "name": "Charity Event"
}
{
  "id": "charity-event",
  "name": "Charity Event"
}

Delete Lead Source

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Lead Source

Responses
204

Lead Source successfully deleted

No content

delete/settings/leadSources/{id}
DELETE /v2/settings/leadSources/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?